org.apache.poi.xssf.usermodel

## Class XSSFDxfStyleProvider

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFDxfStyleProvider

- All Implemented Interfaces:
    DifferentialStyleProvider

      public class XSSFDxfStyleProvider
      extends java.lang.Object
      implements DifferentialStyleProvider

  Style based on a dxf record - e.g. table style element or conditional formatting rule

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFDxfStyleProvider(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDxf dxf, int stripeSize, IndexedColorMap colorMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BorderFormatting` | `getBorderFormatting()`
    `FontFormatting` | `getFontFormatting()`
    `ExcelNumberFormat` | `getNumberFormat()`
    `PatternFormatting` | `getPatternFormatting()`
    `int` | `getStripeSize()` This is the number of rows or columns in a band or stripe.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFDxfStyleProvider

          public XSSFDxfStyleProvider(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDxf dxf,
                                      int stripeSize,
                                      IndexedColorMap colorMap)

      Parameters:
        `dxf` -
        `stripeSize` - 0 for non-stripe styles, > 1 for stripes
        `colorMap` -

  - ### Method Detail

    - #### getBorderFormatting

          public BorderFormatting getBorderFormatting()

      Specified by:
        `getBorderFormatting` in interface `DifferentialStyleProvider`
      Returns:
        - border formatting object if defined, `null` otherwise

    - #### getFontFormatting

          public FontFormatting getFontFormatting()

      Specified by:
        `getFontFormatting` in interface `DifferentialStyleProvider`
      Returns:
        - font formatting object if defined, `null` otherwise

    - #### getNumberFormat

          public ExcelNumberFormat getNumberFormat()

      Specified by:
        `getNumberFormat` in interface `DifferentialStyleProvider`
      Returns:
        number format defined for this rule, or null if the cell default should be used

    - #### getPatternFormatting

          public PatternFormatting getPatternFormatting()

      Specified by:
        `getPatternFormatting` in interface `DifferentialStyleProvider`
      Returns:
        - pattern formatting object if defined, `null` otherwise

    - #### getStripeSize

          public int getStripeSize()

      Description copied from interface: `DifferentialStyleProvider`
      This is the number of rows or columns in a band or stripe. For styles that represent stripes, it must be > 1, for all others it is 0. Not the greatest overloading by the OOXML spec.
      Specified by:
        `getStripeSize` in interface `DifferentialStyleProvider`
      Returns:
        number of rows/columns in a stripe for stripe styles, 0 for all others

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.